.export bankcall_table

.macro bankcall_entry callid, banknumber, entrypoint
  .exportzp callid
  .import entrypoint
  callid = <(*-bankcall_table)
  .out .string(callid)
  .addr entrypoint-1
  .byt banknumber
.endmacro

.segment "RODATA"
; Each of these macros takes three arguments:
; the external name of the method (loaded into X before bankcall),
; which bank the method is in,
; and the entry point within the bank.
bankcall_table:
  bankcall_entry do_title_screen,  4, title_screen_04
  bankcall_entry setup_big_cookie, 4, setup_big_cookie_04
  bankcall_entry do_big_cookie,    4, do_big_cookie_04
  bankcall_entry con_demo,         3, con_demo_03
